llvm.org GIT mirror llvm / be3e419
Regenerate. git-svn-id: https://llvm.org/svn/llvm-project/llvm/trunk@41138 91177308-0d34-0410-b5e6-96231b3b80d8 Reid Spencer 12 years ago
1 changed file(s) with 224 addition(s) and 46 deletion(s). Raw diff Collapse all Expand all
2887328873 done
2887428874
2887528875
28876
28877
28878
28879
28880 for ac_header in windows.h sys/mman.h sys/param.h sys/resource.h sys/time.h
28876 for ac_header in windows.h
2888128877 do
2888228878 as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
2888328879 if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
2904829044
2904929045
2905029046
29051 for ac_header in sys/types.h malloc/malloc.h mach/mach.h
29047
29048 for ac_header in sys/mman.h sys/param.h sys/resource.h sys/time.h
2905229049 do
2905329050 as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
2905429051 if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
2921629213
2921729214 done
2921829215
29219 if test "$ENABLE_THREADS" -eq 1 ; then
29220 if test "${ac_cv_header_pthread_h+set}" = set; then
29221 { echo "$as_me:$LINENO: checking for pthread.h" >&5
29222 echo $ECHO_N "checking for pthread.h... $ECHO_C" >&6; }
29223 if test "${ac_cv_header_pthread_h+set}" = set; then
29216
29217
29218
29219 for ac_header in sys/types.h malloc/malloc.h mach/mach.h
29220 do
29221 as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
29222 if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
29223 { echo "$as_me:$LINENO: checking for $ac_header" >&5
29224 echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6; }
29225 if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
2922429226 echo $ECHO_N "(cached) $ECHO_C" >&6
2922529227 fi
29226 { echo "$as_me:$LINENO: result: $ac_cv_header_pthread_h" >&5
29227 echo "${ECHO_T}$ac_cv_header_pthread_h" >&6; }
29228 ac_res=`eval echo '${'$as_ac_Header'}'`
29229 { echo "$as_me:$LINENO: result: $ac_res" >&5
29230 echo "${ECHO_T}$ac_res" >&6; }
2922829231 else
2922929232 # Is the header compilable?
29230 { echo "$as_me:$LINENO: checking pthread.h usability" >&5
29231 echo $ECHO_N "checking pthread.h usability... $ECHO_C" >&6; }
29233 { echo "$as_me:$LINENO: checking $ac_header usability" >&5
29234 echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6; }
2923229235 cat >conftest.$ac_ext <<_ACEOF
2923329236 /* confdefs.h. */
2923429237 _ACEOF
2923629239 cat >>conftest.$ac_ext <<_ACEOF
2923729240 /* end confdefs.h. */
2923829241 $ac_includes_default
29239 #include <pthread.h>
29242 #include <$ac_header>
2924029243 _ACEOF
2924129244 rm -f conftest.$ac_objext
2924229245 if { (ac_try="$ac_compile"
2928529288 echo "${ECHO_T}$ac_header_compiler" >&6; }
2928629289
2928729290 # Is the header present?
29288 { echo "$as_me:$LINENO: checking pthread.h presence" >&5
29289 echo $ECHO_N "checking pthread.h presence... $ECHO_C" >&6; }
29291 { echo "$as_me:$LINENO: checking $ac_header presence" >&5
29292 echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6; }
2929029293 cat >conftest.$ac_ext <<_ACEOF
2929129294 /* confdefs.h. */
2929229295 _ACEOF
2929329296 cat confdefs.h >>conftest.$ac_ext
2929429297 cat >>conftest.$ac_ext <<_ACEOF
2929529298 /* end confdefs.h. */
29296 #include <pthread.h>
29299 #include <$ac_header>
2929729300 _ACEOF
2929829301 if { (ac_try="$ac_cpp conftest.$ac_ext"
2929929302 case "(($ac_try" in
2933329336 # So? What about this header?
2933429337 case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
2933529338 yes:no: )
29336 { echo "$as_me:$LINENO: WARNING: pthread.h: accepted by the compiler, rejected by the preprocessor!" >&5
29337 echo "$as_me: WARNING: pthread.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
29338 { echo "$as_me:$LINENO: WARNING: pthread.h: proceeding with the compiler's result" >&5
29339 echo "$as_me: WARNING: pthread.h: proceeding with the compiler's result" >&2;}
29339 { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
29340 echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
29341 { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the compiler's result" >&5
29342 echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;}
2934029343 ac_header_preproc=yes
2934129344 ;;
2934229345 no:yes:* )
29343 { echo "$as_me:$LINENO: WARNING: pthread.h: present but cannot be compiled" >&5
29344 echo "$as_me: WARNING: pthread.h: present but cannot be compiled" >&2;}
29345 { echo "$as_me:$LINENO: WARNING: pthread.h: check for missing prerequisite headers?" >&5
29346 echo "$as_me: WARNING: pthread.h: check for missing prerequisite headers?" >&2;}
29347 { echo "$as_me:$LINENO: WARNING: pthread.h: see the Autoconf documentation" >&5
29348 echo "$as_me: WARNING: pthread.h: see the Autoconf documentation" >&2;}
29349 { echo "$as_me:$LINENO: WARNING: pthread.h: section \"Present But Cannot Be Compiled\"" >&5
29350 echo "$as_me: WARNING: pthread.h: section \"Present But Cannot Be Compiled\"" >&2;}
29351 { echo "$as_me:$LINENO: WARNING: pthread.h: proceeding with the preprocessor's result" >&5
29352 echo "$as_me: WARNING: pthread.h: proceeding with the preprocessor's result" >&2;}
29353 { echo "$as_me:$LINENO: WARNING: pthread.h: in the future, the compiler will take precedence" >&5
29354 echo "$as_me: WARNING: pthread.h: in the future, the compiler will take precedence" >&2;}
29346 { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
29347 echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
29348 { echo "$as_me:$LINENO: WARNING: $ac_header: check for missing prerequisite headers?" >&5
29349 echo "$as_me: WARNING: $ac_header: check for missing prerequisite headers?" >&2;}
29350 { echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5
29351 echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;}
29352 { echo "$as_me:$LINENO: WARNING: $ac_header: section \"Present But Cannot Be Compiled\"" >&5
29353 echo "$as_me: WARNING: $ac_header: section \"Present But Cannot Be Compiled\"" >&2;}
29354 { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
29355 echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
29356 { echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5
29357 echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;}
2935529358 ( cat <<\_ASBOX
2935629359 ## ----------------------------------- ##
2935729360 ## Report this to llvmbugs@cs.uiuc.edu ##
2936029363 ) | sed "s/^/$as_me: WARNING: /" >&2
2936129364 ;;
2936229365 esac
29363 { echo "$as_me:$LINENO: checking for pthread.h" >&5
29364 echo $ECHO_N "checking for pthread.h... $ECHO_C" >&6; }
29365 if test "${ac_cv_header_pthread_h+set}" = set; then
29366 { echo "$as_me:$LINENO: checking for $ac_header" >&5
29367 echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6; }
29368 if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
2936629369 echo $ECHO_N "(cached) $ECHO_C" >&6
2936729370 else
29368 ac_cv_header_pthread_h=$ac_header_preproc
29369 fi
29370 { echo "$as_me:$LINENO: result: $ac_cv_header_pthread_h" >&5
29371 echo "${ECHO_T}$ac_cv_header_pthread_h" >&6; }
29372
29373 fi
29374 if test $ac_cv_header_pthread_h = yes; then
29375 HAVE_PTHREAD=1
29371 eval "$as_ac_Header=\$ac_header_preproc"
29372 fi
29373 ac_res=`eval echo '${'$as_ac_Header'}'`
29374 { echo "$as_me:$LINENO: result: $ac_res" >&5
29375 echo "${ECHO_T}$ac_res" >&6; }
29376
29377 fi
29378 if test `eval echo '${'$as_ac_Header'}'` = yes; then
29379 cat >>confdefs.h <<_ACEOF
29380 #define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
29381 _ACEOF
29382
29383 fi
29384
29385 done
29386
29387 if test "$ENABLE_THREADS" -eq 1 ; then
29388
29389 for ac_header in pthread.h
29390 do
29391 as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
29392 if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
29393 { echo "$as_me:$LINENO: checking for $ac_header" >&5
29394 echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6; }
29395 if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
29396 echo $ECHO_N "(cached) $ECHO_C" >&6
29397 fi
29398 ac_res=`eval echo '${'$as_ac_Header'}'`
29399 { echo "$as_me:$LINENO: result: $ac_res" >&5
29400 echo "${ECHO_T}$ac_res" >&6; }
29401 else
29402 # Is the header compilable?
29403 { echo "$as_me:$LINENO: checking $ac_header usability" >&5
29404 echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6; }
29405 cat >conftest.$ac_ext <<_ACEOF
29406 /* confdefs.h. */
29407 _ACEOF
29408 cat confdefs.h >>conftest.$ac_ext
29409 cat >>conftest.$ac_ext <<_ACEOF
29410 /* end confdefs.h. */
29411 $ac_includes_default
29412 #include <$ac_header>
29413 _ACEOF
29414 rm -f conftest.$ac_objext
29415 if { (ac_try="$ac_compile"
29416 case "(($ac_try" in
29417 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
29418 *) ac_try_echo=$ac_try;;
29419 esac
29420 eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
29421 (eval "$ac_compile") 2>conftest.er1
29422 ac_status=$?
29423 grep -v '^ *+' conftest.er1 >conftest.err
29424 rm -f conftest.er1
29425 cat conftest.err >&5
29426 echo "$as_me:$LINENO: \$? = $ac_status" >&5
29427 (exit $ac_status); } &&
29428 { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
29429 { (case "(($ac_try" in
29430 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
29431 *) ac_try_echo=$ac_try;;
29432 esac
29433 eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
29434 (eval "$ac_try") 2>&5
29435 ac_status=$?
29436 echo "$as_me:$LINENO: \$? = $ac_status" >&5
29437 (exit $ac_status); }; } &&
29438 { ac_try='test -s conftest.$ac_objext'
29439 { (case "(($ac_try" in
29440 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
29441 *) ac_try_echo=$ac_try;;
29442 esac
29443 eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
29444 (eval "$ac_try") 2>&5
29445 ac_status=$?
29446 echo "$as_me:$LINENO: \$? = $ac_status" >&5
29447 (exit $ac_status); }; }; then
29448 ac_header_compiler=yes
29449 else
29450 echo "$as_me: failed program was:" >&5
29451 sed 's/^/| /' conftest.$ac_ext >&5
29452
29453 ac_header_compiler=no
29454 fi
29455
29456 rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
29457 { echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
29458 echo "${ECHO_T}$ac_header_compiler" >&6; }
29459
29460 # Is the header present?
29461 { echo "$as_me:$LINENO: checking $ac_header presence" >&5
29462 echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6; }
29463 cat >conftest.$ac_ext <<_ACEOF
29464 /* confdefs.h. */
29465 _ACEOF
29466 cat confdefs.h >>conftest.$ac_ext
29467 cat >>conftest.$ac_ext <<_ACEOF
29468 /* end confdefs.h. */
29469 #include <$ac_header>
29470 _ACEOF
29471 if { (ac_try="$ac_cpp conftest.$ac_ext"
29472 case "(($ac_try" in
29473 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
29474 *) ac_try_echo=$ac_try;;
29475 esac
29476 eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
29477 (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
29478 ac_status=$?
29479 grep -v '^ *+' conftest.er1 >conftest.err
29480 rm -f conftest.er1
29481 cat conftest.err >&5
29482 echo "$as_me:$LINENO: \$? = $ac_status" >&5
29483 (exit $ac_status); } >/dev/null; then
29484 if test -s conftest.err; then
29485 ac_cpp_err=$ac_c_preproc_warn_flag
29486 ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
29487 else
29488 ac_cpp_err=
29489 fi
29490 else
29491 ac_cpp_err=yes
29492 fi
29493 if test -z "$ac_cpp_err"; then
29494 ac_header_preproc=yes
29495 else
29496 echo "$as_me: failed program was:" >&5
29497 sed 's/^/| /' conftest.$ac_ext >&5
29498
29499 ac_header_preproc=no
29500 fi
29501
29502 rm -f conftest.err conftest.$ac_ext
29503 { echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
29504 echo "${ECHO_T}$ac_header_preproc" >&6; }
29505
29506 # So? What about this header?
29507 case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
29508 yes:no: )
29509 { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
29510 echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
29511 { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the compiler's result" >&5
29512 echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;}
29513 ac_header_preproc=yes
29514 ;;
29515 no:yes:* )
29516 { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
29517 echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
29518 { echo "$as_me:$LINENO: WARNING: $ac_header: check for missing prerequisite headers?" >&5
29519 echo "$as_me: WARNING: $ac_header: check for missing prerequisite headers?" >&2;}
29520 { echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5
29521 echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;}
29522 { echo "$as_me:$LINENO: WARNING: $ac_header: section \"Present But Cannot Be Compiled\"" >&5
29523 echo "$as_me: WARNING: $ac_header: section \"Present But Cannot Be Compiled\"" >&2;}
29524 { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
29525 echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
29526 { echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5
29527 echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;}
29528 ( cat <<\_ASBOX
29529 ## ----------------------------------- ##
29530 ## Report this to llvmbugs@cs.uiuc.edu ##
29531 ## ----------------------------------- ##
29532 _ASBOX
29533 ) | sed "s/^/$as_me: WARNING: /" >&2
29534 ;;
29535 esac
29536 { echo "$as_me:$LINENO: checking for $ac_header" >&5
29537 echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6; }
29538 if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
29539 echo $ECHO_N "(cached) $ECHO_C" >&6
29540 else
29541 eval "$as_ac_Header=\$ac_header_preproc"
29542 fi
29543 ac_res=`eval echo '${'$as_ac_Header'}'`
29544 { echo "$as_me:$LINENO: result: $ac_res" >&5
29545 echo "${ECHO_T}$ac_res" >&6; }
29546
29547 fi
29548 if test `eval echo '${'$as_ac_Header'}'` = yes; then
29549 cat >>confdefs.h <<_ACEOF
29550 #define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
29551 _ACEOF
29552 HAVE_PTHREAD=1
2937629553
2937729554 else
2937829555 HAVE_PTHREAD=0
2937929556
2938029557 fi
2938129558
29559 done
2938229560
2938329561 else
2938429562 HAVE_PTHREAD=0